View Issue Details

IDProjectCategoryView StatusLast Update
0000922FreeCADFeaturepublic2021-02-20 14:08
ReporterJriegelAssigned Torealthunder  
PriorityhighSeveritymajorReproducibilityalways
Status assignedResolutionopen 
Target Version0.20 
Summary0000922: Topological Naming
DescriptionGroup issue for all issues regarding Topological Naming. All bugs and features will be collected under this issue and targeted by the Naming Project:

http://www.freecadweb.org/wiki/Naming_project

Tagstoponaming
FreeCAD Information

Relationships

parent of 0000876 assignedrealthunder PartDesign Topological naming interface 
parent of 0000873 closedjrheinlaender FreeCAD RefineModel() does not mark edges/faces as modified 
parent of 0002742 closed FreeCAD Unrelated features lost on edit. 
parent of 0002462 new FreeCAD Manage Object Display Order in Tree View 
parent of 0004112 closed PartDesign Fillet segment association are "randomly" changed after inserting a new PAD/POCKET when Tip is changed to a previous state. 
has duplicate 0000883 closedrealthunder FreeCAD Sketch editing corrupts fillet 
has duplicate 0000523 closed FreeCAD Fillet Updates is failling! 
has duplicate 0000794 closed PartDesign External reference in sketch changes 
has duplicate 0000796 closedrealthunder FreeCAD Sketch of a feature "jumps" to another face after adding/deleting elements from the sketch of its support 
has duplicate 0001625 closedrealthunder PartDesign change something old in the design tree didn't update the latest result 
has duplicate 0001765 closedrealthunder PartDesign Fillet object not updated after change to underlying sketch 
has duplicate 0002188 closedrealthunder PartDesign Modifying a pocket sketch destroys orientation and position of another pocket 
has duplicate 0002522 closedrealthunder PartDesign part design fillet and chamfer tool will not reproduce same edge# or face# 
has duplicate 0002769 closedrealthunder FreeCAD Recomputation breaks sketch 
has duplicate 0002948 closed FreeCAD Ruled Surfaces get mixed up 
has duplicate 0003140 closed FreeCAD external geometry not kept consistently 
has duplicate 0002721 assignedDeepSOIC Part Face order instability with Part Extrude and friends 
Not all the children of this issue are yet resolved or closed.

Activities

berndhahnebach

2014-04-26 17:32

developer   ~0004577

link on new wiki
http://www.freecadweb.org/wiki/index.php?title=Naming_project

Kunda1

2017-05-05 12:11

administrator   ~0008890

Assigning to @jnxd since his project was accepted for GSOC 2017

mihai.dumitresq

2019-03-16 13:22

reporter   ~0012919

What's the latest status on topological naming?

Kunda1

2019-03-16 16:49

administrator   ~0012924

@mihai.dumitresq currently the best prospects look like in realthunder's link3/Assembly3 brnaches. You can find the discussion on the Forum: https://forum.freecadweb.org/viewtopic.php?f=10&t=27278

Issue History

Date Modified Username Field Change
2012-12-20 17:05 Jriegel New Issue
2012-12-20 17:06 Jriegel Relationship added parent of 0000883
2012-12-20 17:06 Jriegel Relationship added parent of 0000876
2012-12-20 17:07 Jriegel Assigned To => Jriegel
2012-12-20 17:07 Jriegel Status new => assigned
2012-12-20 17:07 Jriegel Projection none => major rework
2012-12-20 17:07 Jriegel Target Version => 0.14
2012-12-20 19:27 Jriegel Relationship added parent of 0000873
2012-12-20 20:01 Jriegel Relationship added parent of 0000523
2012-12-20 20:40 logari81 Relationship added parent of 0000794
2012-12-20 20:48 logari81 Relationship added parent of 0000796
2014-04-26 17:32 berndhahnebach Note Added: 0004577
2014-06-25 12:09 wmayer Target Version 0.14 => 0.15
2014-07-22 13:26 wmayer Relationship added related to 0001625
2014-09-25 16:24 shoogen Relationship added related to 0001765
2015-01-25 16:14 yorik Target Version 0.15 =>
2016-02-28 20:23 wmayer Relationship added related to 0002188
2016-04-27 12:19 ickby Relationship added parent of 0002522
2016-11-20 21:30 normandc Description Updated
2017-01-14 13:12 Kunda1 Relationship added parent of 0002769
2017-02-15 04:40 Kunda1 Relationship replaced has duplicate 0002769
2017-03-09 17:22 Kunda1 Relationship added has duplicate 0002948
2017-05-05 12:08 Kunda1 Assigned To Jriegel => jnxd
2017-05-05 12:11 Kunda1 Note Added: 0008890
2017-05-24 18:08 Kunda1 Relationship added parent of 0002742
2017-07-27 17:01 Kunda1 Relationship added has duplicate 0003140
2017-11-06 13:19 Kunda1 Relationship added parent of 0002462
2017-11-06 13:19 Kunda1 Description Updated
2018-01-02 14:16 wmayer Relationship added parent of 0002721
2019-03-16 13:22 mihai.dumitresq Note Added: 0012919
2019-03-16 16:49 Kunda1 Note Added: 0012924
2019-09-03 15:19 openBrain Relationship added parent of 0004112
2021-02-06 06:50 abdullah Target Version => 0.20
2021-02-20 13:43 Kunda1 Relationship replaced has duplicate 0000523
2021-02-20 13:46 Kunda1 Relationship replaced has duplicate 0000794
2021-02-20 13:47 Kunda1 Assigned To jnxd => realthunder
2021-02-20 13:48 Kunda1 Relationship replaced has duplicate 0001625
2021-02-20 13:50 Kunda1 Relationship replaced has duplicate 0001765
2021-02-20 13:52 Kunda1 Relationship replaced has duplicate 0002188
2021-02-20 13:53 Kunda1 Relationship replaced has duplicate 0000883
2021-02-20 13:56 Kunda1 Relationship replaced has duplicate 0000796
2021-02-20 13:58 Kunda1 Relationship replaced has duplicate 0002522
2021-02-20 14:07 Kunda1 Relationship replaced has duplicate 0002721
2021-02-20 14:08 Kunda1 Tag Attached: toponaming